- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InstanceLocationOption Class Reference

the InstanceLocationOption class. More...

`#include <OSOption.h>`

Collaboration diagram for InstanceLocationOption:

[legend]
List of all members.

## Public Member Functions
| InstanceLocationOption ()
| Default constructor.
| ~InstanceLocationOption ()
| Class destructor.
bool | IsEqual (InstanceLocationOption *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
std::string | locationType
| the type of the location
std::string | value
| the value of the <instanceLocation> element

## Detailed Description

the InstanceLocationOption class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to the instanceLocation element in the OSoL schema.

Definition at line 38 of file OSOption.h.

## Constructor & Destructor Documentation

InstanceLocationOption::InstanceLocationOption | ( |  | ) |

Default constructor.

Definition at line 35 of file OSOption.cpp.

InstanceLocationOption::~InstanceLocationOption | ( |  | ) |

Class destructor.

Definition at line 44 of file OSOption.cpp.

## Member Function Documentation

bool InstanceLocationOption::IsEqual | ( | InstanceLocationOption * | that | ) |

A function to check for the equality of two objects.

Definition at line 8359 of file OSOption.cpp.

References locationType, and value.

bool InstanceLocationOption::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10458 of file OSOption.cpp.

References locationType, OSRand(), and value.

Referenced by GeneralOption::setRandom().

## Member Data Documentation

std::string InstanceLocationOption::locationType

the type of the location

Definition at line 42 of file OSOption.h.

Referenced by OSOption::getInstanceLocationType(), IsEqual(), OSOption::setInstanceLocation(), OSOption::setInstanceLocationType(), setRandom(), and OSoLWriter::writeOSoL().

std::string InstanceLocationOption::value

the value of the <instanceLocation> element

Definition at line 45 of file OSOption.h.

Referenced by OSOption::getInstanceLocation(), IsEqual(), OSOption::setInstanceLocation(), setRandom(), and OSoLWriter::writeOSoL().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp